# import numpy as np

W, B = 0, 1
movesMade = [0, 0]
startWhite = tuple(int(x) - 1 for x in input().split(" "))
startBlack = tuple(int(x) - 1 for x in input().split(" "))
queue = [(startWhite, W), (startBlack, B)]

whiteBoard = [[0] * 8 for i in range(8)]
blackBoard = [[0] * 8 for i in range(8)]
whiteBoard[startWhite[0]][startWhite[1]] = 1
blackBoard[startBlack[0]][startBlack[1]] = 1
boards = [whiteBoard, blackBoard]
probabilities = [0.0, 0.0]

moves = [(-2, -1), (-1, -2), (2, -1), (1, -2), (-2, 1), (-1, 2), (2, 1), (1, 2)]

def valid(move):
	return move[0] >= 0 and move[1] >= 0 and move[0] < 8 and move[1] < 8

lastPlayer = W
validMoves = []

while True:
	(position, player) = queue.pop(0)

	if player != lastPlayer:
		print(boards[0])
		print(boards[1])
		print(probabilities)
		for move in validMoves:
			p1 = float(1) / float(movesMade[lastPlayer] or 1)
			p2 = (float(boards[player][move[0]][move[1]]) / float(movesMade[player] or 1))
			dp = p1 * p2
			print((p1, p2, dp))
			probabilities[lastPlayer] += dp
			if movesMade[W] + movesMade[B] > 1000:
				break
		validMoves = []

	if probabilities[W] >= 0.5 or probabilities[B] >= 0.5:
		if abs(probabilities[W] - probabilities[B]) < 10 ** (-6):
			print("draw")
		elif probabilities[W] > probabilities[B]:
			print("white")
		else:
			print("black")
		break

	for move in moves:
		nextPosition = (position[0] + move[0], position[1] + move[1])
		if valid(nextPosition):
			queue.append((nextPosition, (player + 1) % 2))
			boards[player][nextPosition[0]][nextPosition[1]] += 1
			validMoves.append(nextPosition)
			movesMade[player] += 1

	
	if (movesMade[W] + movesMade[B]) < 100:
		print(queue[:5])

	lastPlayer = player
