from math import *

def rule1():
    global cards, line, vals, counts, score, mods
    if len(line) > 3:
        score += 1    
        if line[0][:2] == '10':
            foo = 10
        else:
            foo = vals[line[0][0]]

        score += foo * counts['J']
        mods.append(1)
    else:
        mods.append(0)

def rule2():
    global cards, vals, counts, score, mods
    ok = False
    for v in cards.values():
        if len(v) > 1:
            score *= 2
            mods.append(1)
            ok = True
            return
    mods.append(0)

def rule3():
    global cards, vals, counts, score, mods
    ok = True    
    for v in cards.values():
        if len(v) == 0:
            ok = False
    if ok:
        score *= 2
        mods.append(1)
    else:
        mods.append(0)

def rule4():
    global cards, vals, counts, score, mods
    diff = (len(cards['C']) + len(cards['S'])) - (len(cards['H']) + len(cards['D']))
    score += abs(diff)
    if diff != 0:
        mods.append(1)
    else: 
        mods.append(0)

def rule5():
    global cards, vals, counts, score, mods
    if score % 2 == 0:
        mods.append(1)
        foo = score
        for i in range(1, floor(sqrt(score))+1):
            if score % i == 0:
                foo += i + (score / i)
                if i == (score / i):
                    foo -= i

        score = foo
    else:
        mods.append(0)


def rule6():
    global cards, vals, counts, score, mods
    
    if counts['7'] == 4:
        score -= 121
        mods.append(1)
    else:
        mods.append(0)

def rule7():
    global cards, vals, counts, score, mods
    if score >= 0:
        mods.append(1)
        foo_ct = counts.copy()
        if vals['2'] == 5:
            foo = foo_ct['2']
            foo_ct['2'] = foo_ct['5']
            foo_ct['5'] = foo

            foo = foo_ct['6']
            foo_ct['6'] = foo_ct['9']
            foo_ct['9'] = foo

            
        for k in ['2', '3', '4', '5', '6', '7', '8', '9', '10', 'J', 'Q', 'K', 'A']:
            if counts[k] > 0:
                score += vals[k]
                break
    else:
        mods.append(0)


def rule8():
    global cards, vals, counts, score, mods
    if score < 0:
        mods.append(1)
    else:
        mods.append(0)
    score = abs(score)

def rule9():
    global cards, vals, counts, score, mods
    if len(cards['D']) > 2:
        score += 1
        mods.append(1)
        # for k in cards.keys():
            # for i in range(len(cards[k])):
                # if cards[k][i] == '6':
                    # cards[k][i] = '9'
                 # if cards[k][i] == '9':
                    # cards[k][i] = '6'
                # if cards[k][i] == '2':
                    # cards[k][i] = '5'
                # if cards[k][i] == '5':
                    # cards[l][i] = '2'

        # foo = counts['6']
        # counts['6'] = counts['9']
       #  counts['9'] = foo

        # foo = counts['5']
        # counts['5'] = counts['2']
        # counts['2'] = foo
        foo = vals['6']
        vals['6'] = vals['9']
        vals['9'] = foo
        foo = vals['2']
        vals['2'] = vals['5']
        vals['5'] = foo

    else:
        mods.append(0)

def rule10():
    global  cards, line, vals, counts, score, mods
    
    foo = ['2', '3', '4', '5', '6', '7', '8', '9', '10', 'J', 'Q', 'K', 'A']
    foo1 = [1 if counts[x] > 0 else 0 for x in foo]
 
    for i in range(len(foo1) - 4):
        if sum(foo1[i: i+5]) == 5:
            score += 5 * counts['A']
            mods.append(1)
            return
    mods.append(0)

def rule11():
    global cards, vals, counts, score, mods
    if sum(mods) > 8:
        foo = score
        mods.append(1)
        ones = 0
        while foo > 0:
           ones += foo & 1
           foo = foo >> 1
          
        score += ones
    mods.append(0)
    


def go():
    global cards, line, vals, counts, score, mods

    vals = {
        '2': 2,
        '3': 3,
        '4': 4,
	'5': 5,
	'6':6,
	'7': 7,
	'8': 8,
	'9': 9,
	'10': 10,
        'J': 10,
	'Q': 10,
	'K': 10,
	'A': 10
    }

    score = 0
    lenn = 0
    rules = []
    counts = {}

    for a in vals.keys():
        counts[a] = 0

    for v in cards.values():
        score += sum([vals[x] for x in v])
        for a in v:
            counts[a]+=1

    rule1()
    rules.append(rule1)
    

    rule2()
    rules.append(rule2)
    
    rule3()
    rules.append(rule3)
    
    rule4()
    rules.append(rule4)
    
    rule5()
    rules.append(rule5)
    
    rule6()
    rules.append(rule6)
    
    rule7()
    rules.append(rule7)
    
    rule8()
    rules.append(rule8)
    
    rule9()
    rules.append(rule9)
    
    rule10()
    rules.append(rule10)
    
    rule11()
    rules.append(rule11)    
    
    ranked = '2'
    if vals['2'] == 5:
        ranked = '5'
    if counts[ranked] > 0:
        for a in range(len(mods) - 1, -1, -1):
            if mods[a] == 1:
                rules[a]()
                break
    
    ranked = '2'
    if vals['2'] == 5:
        ranked = '5'

    if counts[ranked] > 0:
        score *= 2
    

    return score


if __name__ == '__main__':
    line = input().split(' ')
    cards = {
    'D': [],
    'H': [],
    'C': [],
    'S': []
    }
    score = 0

    mods = []

    for a in line:
        if a[:2] =='10':
            cards[a[2]].append('10')
        else: 
            cards[a[1]].append(a[0])
    vals = None
    counts = None

    print(go())

